Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.examples.travelagency.ws
Class TravelAgencySoapBindingImpl

    java.lang.Object
      org.objectweb.jass.examples.travelagency.ws.TravelAgencySoapBindingImpl

All Implemented Interfaces:
  java.rmi.Remote, TravelAgency

public class TravelAgencySoapBindingImpl
extends java.lang.Object
implements TravelAgency

Constructor Summary
`TravelAgencySoapBindingImpl()` Constructor.

Method Summary
`int` | `reserveRooms(int in0)` Makes the rooms reservation calling the EJB.
`int` | `reserveSeats(int in0)` Makes the seat reservation calling the EJB.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TravelAgencySoapBindingImpl

    public TravelAgencySoapBindingImpl()

  Constructor. Obtains a reference to the UserOpenNested and the EJBs.

Method Detail

### reserveSeats

    public int reserveSeats(int in0)
                     throws java.rmi.RemoteException,
                            NotEnoughSeatsException,
                            DBException

  Makes the seat reservation calling the EJB.

  Specified by:
    `reserveSeats` in interface `TravelAgency`
  Throws:
    `java.rmi.RemoteException`
    `NotEnoughSeatsException`
    `DBException`

### reserveRooms

    public int reserveRooms(int in0)
                     throws java.rmi.RemoteException,
                            NotEnoughRoomsException,
                            DBException

  Makes the rooms reservation calling the EJB.

  Specified by:
    `reserveRooms` in interface `TravelAgency`
  Throws:
    `java.rmi.RemoteException`
    `NotEnoughRoomsException`
    `DBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD